import React from 'react';
import { createRoot, Root } from 'react-dom/client';
import { Todo } from './Todo';


const params: URLSearchParams = new URLSearchParams(window.location.search);
const itemList: string | null = params.get("items");

const main: HTMLElement | null = document.getElementById('main');
if (main === null)
  throw new Error("HTML missing 'main' element")

const root: Root = createRoot(main);
if (itemList !== null) {
  const items = itemList.split(",")
      .filter(s => s.trim().length > 0)
      .map(s => { return {name: s.trim(), completed: false}; });
  root.render(<Todo initialItems={items}/>);
} else {
  root.render(<p>Error: missing "items" parameter</p>);
}